%global pkidir %{_sysconfdir}/pki

Name:           ca-linagora.com
Version:        2007
Release:        1
Summary:        Linagora.com CA certificates

Group:          System Environment/Base
License:        UNKNOWN
#https://extranet.linagora.com/dokuwiki/pki/accueil?s[]=pki
URL:            http://www.linagora.com
Source0:        linagora_root_ca.pem
Source1:        linagora_servers_ca.pem
Source2:        linagora_collab_ca.pem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%global class_root %(openssl x509 -hash -noout -in %{SOURCE0})
%global class_servers %(openssl x509 -hash -noout -in %{SOURCE1})
%global class_collab %(openssl x509 -hash -noout -in %{SOURCE2})


BuildRequires: openssl
BuildArch: noarch  

Requires(post): /usr/bin/certutil
Requires(preun): /usr/bin/certutil


%description
Linagora.com CA Certificates.

%prep
#Nothing to prep


%build
#Nothing to build


%install
rm -rf $RPM_BUILD_ROOT

# root
%{__install} -D -p -m 0644 %{SOURCE0} \
    %{buildroot}%{pkidir}/tls/certs/linagora_root_ca.pem
%{__ln_s} linagora_root_ca.pem %{buildroot}%{pkidir}/tls/certs/%{class_root}.0

# servers
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{pkidir}/tls/certs/linagora_servers_ca.pem
%{__ln_s} linagora_servers_ca.pem %{buildroot}%{pkidir}/tls/certs/%{class_servers}.0

# collab
%{__install} -D -p -m 0644 %{SOURCE2} \
    %{buildroot}%{pkidir}/tls/certs/linagora_collab_ca.pem
%{__ln_s} linagora_collab_ca.pem %{buildroot}%{pkidir}/tls/certs/%{class_collab}.0


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/certutil -d %{pkidir}/nssdb -A -E -t "CT,CP,CP" -n "CA LINAGORA GROUP" -i \
 %{pkidir}/tls/certs/linagora_root_ca.pem &>/dev/null
/usr/bin/certutil -d %{pkidir}/nssdb -A -t "C,," -n "CA LINAGORA SERVER" -i \
 %{pkidir}/tls/certs/linagora_servers_ca.pem &>/dev/null
/usr/bin/certutil -d %{pkidir}/nssdb -A -E -t "T,T," -n "CA LINAGORA COLLAB" -i \
 %{pkidir}/tls/certs/linagora_collab_ca.pem &>/dev/null \
  || :

%preun
if [ $1 = 0 ] ; then
  /usr/bin/certutil -d %{pkidir}/nssdb -D -n "CA LINAGORA GROUP" &>/dev/null
  /usr/bin/certutil -d %{pkidir}/nssdb -D -n "CA LINAGORA SERVER" &>/dev/null
  /usr/bin/certutil -d %{pkidir}/nssdb -D -n "CA LINAGORA COLLAB" &>/dev/null
fi || :

%files
%defattr(-,root,root,-)
%doc
%config %{pkidir}/tls/certs/linagora_root_ca.pem
%{pkidir}/tls/certs/%{class_root}.0
%config %{pkidir}/tls/certs/linagora_servers_ca.pem
%{pkidir}/tls/certs/%{class_servers}.0
%config %{pkidir}/tls/certs/linagora_collab_ca.pem
%{pkidir}/tls/certs/%{class_collab}.0


%changelog
* Mon Apr 26 2010 Nicolas Chauvet <nchauvet@linagora.com> - 2007-1
- Initial spec file.

